> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/httpcontenttype.md).

# HttpContentType

## Overview

HttpContentType는 HTTP 요청이나 응답에서 사용되는 일반적인 Content-Type 헤더 값을 정의하는 Enum입니다.

요청이나 응답에서 데이터 형식을 지정하는 데 사용됩니다. HttpService의 PostAsync() 메서드에서 사용됩니다.

## Items

| Name                  | Value | Description                                           |
| --------------------- | ----- | ----------------------------------------------------- |
| ApplicationJson       | 0     | "application/json" 형식으로, JSON 데이터용입니다.                |
| ApplicationXml        | 1     | "application/xml" 형식으로, XML 데이터용입니다.                  |
| ApplicationUrlEncoded | 2     | "application/x-www-form-urlencoded" 형식으로, 웹 폼 제출용입니다. |
| TextPlain             | 3     | "text/plain" 형식으로, 일반 텍스트용입니다.                        |
| TextXml               | 4     | "text/xml" 형식으로, 텍스트 기반 XML 데이터용입니다.                  |

## See also

{% content-ref url="/pages/GY6ZeWvrlppdGPRJJKws" %}
[HttpService](/korean/development/api-reference/classes/httpservice.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/httpcontenttype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
